For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
        • POSTAuthorize Contract With Function Signatures
        • POSTAuthorize Contract with JSON ABI
        • POSTClaim Contract
        • DELDelete Contract
        • DELDelete Function Signature
LogoLogo
Contact usDashboard
APIAdminContracts & Function Signatures

Authorize Contract with JSON ABI

POST
https://api.syndicate.io/admin/contract/authorizeWithJSONABI
POST
/admin/contract/authorizeWithJSONABI
$curl -X POST https://api.syndicate.io/admin/contract/authorizeWithJSONABI \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "abi": [
> {
> "type": "function",
> "name": "addPerson",
> "constant": false,
> "payable": false,
> "inputs": [
> {
> "type": "tuple",
> "name": "person",
> "components": [
> {
> "type": "string",
> "name": "name"
> },
> {
> "type": "uint16",
> "name": "age"
> }
> ]
> }
> ],
> "outputs": []
> }
> ],
> "address": "0x94f6E9c420Db1566A3c035Df291F206eBfAfC762",
> "chainId": 80001,
> "name": "My Contract",
> "projectId": "638d1d78-d63d-4cda-9f1e-4d0799acfeee"
>}'
1{
2 "address": "0x94f6E9c420Db1566A3c035Df291F206eBfAfC762",
3 "chainId": 80001,
4 "createdAt": "2023-10-25T13:00:49.667604Z",
5 "functionSignatures": [
6 {
7 "contractId": "70c2891a-6471-4b50-844b-6a58b69ff8fb",
8 "createdAt": "2023-10-25T13:00:49.667604Z",
9 "hashedSignature": "0x1234",
10 "id": "4416002f-6b79-4c24-b367-80572c37f35a",
11 "payable": false,
12 "signature": "addPerson((string name, uint16 age) person))",
13 "functionAbi": {
14 "type": "function",
15 "name": "addPerson",
16 "inputs": [
17 {
18 "name": "person",
19 "type": "tuple",
20 "components": [
21 {
22 "name": "name",
23 "type": "string"
24 },
25 {
26 "name": "age",
27 "type": "uint16"
28 }
29 ]
30 }
31 ],
32 "stateMutability": "nonpayable"
33 }
34 }
35 ],
36 "id": "70c2891a-6471-4b50-844b-6a58b69ff8fb",
37 "name": "My Contract",
38 "projectId": "638d1d78-d63d-4cda-9f1e-4d0799acfeee",
39 "updatedAt": "2023-10-25T13:00:49.667604Z"
40}
Authorize a contract and its corresponding function signatures using the JSON ABI format.
Was this page helpful?
Previous

Claim Contract

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
abilist of anyRequired
addressstringRequired
chainIdintegerRequired
namestringRequired
projectIdUUIDRequired
expiresAtdatetimeOptional

Response

This endpoint returns an object.
addressstring
chainIdinteger
createdAtdatetime
functionSignatureslist of objects
idstring
namestring
projectIdUUID
claimedByOrganizationIdUUID
expiresAtdatetime
updatedAtdatetime

Errors

400
Status Bad Request
404
Status Not Found
409
Status Conflict
500
Status Internal Server Error